body {
  display: flex;
  flex-flow: row nowrap;
}

#aktivni_navbar {
  display: none;
}

/*--------------------------------------------------------------
Sidebar
--------------------------------------------------------------*/

#sidebar {
  position: sticky;
  top: 0;
  height: 100vh;
  width: 280px;
  overflow: auto;
}

/*--------------------------------------------------------------
Expanded table
--------------------------------------------------------------*/

button[aria-expanded="true"] .fa-chevron-down {
  display: none;
}

button[aria-expanded="false"] .fa-chevron-up {
  display: none;
}

/*--------------------------------------------------------------
Color dots
--------------------------------------------------------------*/

.color_dot {
  height: 25px;
  width: 25px;
  border-radius: 50%;
  display: inline-block;
}

/*--------------------------------------------------------------
Upravljačka ploča 
--------------------------------------------------------------*/

#grafStupciZalihe,
#grafStanja {
  width: 100% !important;
  height: 100% !important;
  max-height: 350px;
}

canvas.p-4 {
  padding: 0 !important; /* ukloni padding unutar canvas-a, koristi padding kontejnera */
}

.h-100 > canvas {
  display: block;
}

/*--------------------------------------------------------------
Upload dokumentacije - drag and drop
--------------------------------------------------------------*/

#dropZone {
  border: 2px dashed #ccc;
  padding: 40px;
  text-align: center;
  font-family: sans-serif;
  color: #666;
  cursor: pointer;
}

#dropZone.dragover {
  border-color: #3c8dbc;
  background-color: #f0f8ff;
  color: #3c8dbc;
}

#status {
  margin-top: 20px;
  font-family: sans-serif;
}

/*--------------------------------------------------------------
Zaokruživanje checkboxa 
--------------------------------------------------------------*/

td.checkbox-cell {
  display: flex;
  align-items: center;
  justify-content: center;
}

input[type="checkbox"].rounded-checkbox {
  appearance: none;
  -webkit-appearance: none;
  width: 12px;
  height: 12px;
  line-height: 12px;
  border: 2px solid #6c757d;
  border-radius: 50%;
  outline: none;
  cursor: pointer;
  position: relative;
  transition: background-color 0.2s, border-color 0.2s;
  font-size: 0;
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  vertical-align: middle;

  &:checked {
    background-color: #0d6efd;
    border-color: #0d6efd;
  }
}
